/*!	\file		TT_main1.c
	\author		Garth Santor
	\date		2020-02-26
	\version	1.0.0

	Conceptual demonstration of temperature conversion table.
*/

#include <stdio.h>

int main() {
	const double startF = -40;
	const double endF = 140.0;
	const double intervalF = 10.0;

	for (double tempF = startF; tempF <= endF; tempF += intervalF) {
		double tempC = 5.0 / 9.0 * (tempF - 32.0);
		printf("%lf F\t%lf C\n", tempF, tempC);
	}
}