/*!	\file		TT_main2.c
	\author		Garth Santor
	\date		2020-02-26
	\version	1.0.0

	Temperature Table with user input.
*/

#include <stdio.h>

int main() {
	// Get table parameters from the user
	puts("Temperature Table 1.0.0, (c) 2020, Garth Santor");
	printf("Enter a low and high Fahrenheit temperature and interval: ");
	double startF = -40;
	double endF = 140.0;
	double intervalF = 10.0;
	scanf_s("%lf %lf %lf", &startF, &endF, &intervalF);

	// Output the table
	putchar('\n');
	for (double tempF = startF; tempF <= endF; tempF += intervalF) {
		double tempC = 5.0 / 9.0 * (tempF - 32.0);
		printf("%10.1lf F %10.1lf C\n", tempF, tempC);
	}
}